Mark an organization as priority (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
PATCH /admin/collection-ops/organizations/{id}/priority

Sets or clears the organization's priority flag and copies it to its collections and live inbox items. Returns the new value and how many collections changed; 404 for an unknown organization. Super admin only; 404 while the collection-ops console is turned off.

Path parameters

  • id string Required

    Id of the organization

application/json

Body Required

  • isPriority boolean Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • isPriority boolean
      • statesUpdated number
    • statusCode number Required
    • timestamp string(date-time) Required
PATCH /admin/collection-ops/organizations/{id}/priority
curl \
 --request PATCH 'http://api.example.com/admin/collection-ops/organizations/{id}/priority' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "isPriority": true
}'
Request examples
{
  "isPriority": true
}
Response examples (200)
{
  "data": {
    "isPriority": true,
    "statesUpdated": 4
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}